import time

from gpgservice_client.testing.keyserver.harness import TestKeyServerFixture


if __name__ == '__main__':
    testkeyservice = TestKeyServerFixture(listen_port=11371)
    testkeyservice.setUp()
    print('Test keyservice listening at {}\nHit Ctrl-C to exit.'.format(
        testkeyservice.url))

    try:
        while True:
            time.sleep(1)
    except KeyboardInterrupt:
        print('Exiting...')
    finally:
        testkeyservice.cleanUp()
